Jump to content
Shogun

Granny 2.8 for new binaries

Recommended Posts

Today I bring you another exclusive release from Tim.

 

This time is the granny.dll compatible with Granny 2.8 models and new binaries. Included for completeness is the already public granny DLL for the old binaries, and the bulkconverter.exe tool.

 

What can I do with this?

 

You can use granny models from any Granny version up to 2.8 in your client.

 

How do I use this?

 

Just replace the original dll in your client. Please note, it only works on original, packed client binaries.

 

A tool (bulkconverter.exe) is provided so you can easily convert your current models to 2.8 for best performance.

 

Usage:

 

bulkconverter foldername

 

Will convert all the gr2 files found inside foldername to v2.8 Granny format.

 

Regards

 

granny28.zip

  • Love 60
  • Party 1

Share this post


Link to post

At first u can use new mob without wait animation bug :) You can use it on old granny, but just a few people know, how to do it.

At final, new granny si better for us :)

Share this post


Link to post
http://scr.hu/8qd/etjjb
How about that?
I've used 2.9 model converted by bulkconverter and your granny. I've got unpacked binary (compiled by my own), is it ok?
Is it possible to work with that granny on your own compiled biniaries?

Share this post


Link to post

thanks for release,btw i need entpack full client and convert all models with bull.exe?

Share this post


Link to post

It's not necessary but it's a good idea to do so if you can.

  • Love 1

Share this post


Link to post
sysser:
 
0216 00:42:42133 :: GRANNY: [c:/dev/rad/granny/rt/granny_file.cpp:914] File is file format revision 6 (current version is 7)
0216 00:42:42144 :: GRANNY: [c:/dev/rad/granny/rt/granny_file_info.cpp:81] File has run-time type tag of 0x80000010, which doesn't match this version of Granny (0x80000037).  Automatic conversion will be attempted.

 

Share this post


Link to post

 

sysser:
 
0216 00:42:42133 :: GRANNY: [c:/dev/rad/granny/rt/granny_file.cpp:914] File is file format revision 6 (current version is 7)
0216 00:42:42144 :: GRANNY: [c:/dev/rad/granny/rt/granny_file_info.cpp:81] File has run-time type tag of 0x80000010, which doesn't match this version of Granny (0x80000037).  Automatic conversion will be attempted.

 

 

To remove this error convert all your gr2 models to 2.8 format with bulkconverter (it's included in the archive)

  • Love 1

Share this post


Link to post

Thx for the release. I was looking for it for a long time.

 

Its working well for me but my friends cant connect using the same client. Any solution for it?

 

 

I'm using windows 7 and my friends 7 and XP.

 

PS: my bin is the metin2client_sg_r34669.exe

and serverfiles 34083

Share this post


Link to post

Well then you can't use the dll, it needs an original, packed bin, if you changed the LZO key then obviously it isn't.

Share this post


Link to post

Well then you can't use the dll, it needs an original, packed bin, if you changed the LZO key then obviously it isn't.

 

But i'm usign the same client than then, and its  working for me with the LZO changed and for then isnt working. If was problem of the LZO it shouldn't for me, sure ?

Share this post


Link to post

How can you change the lzo of a packed client?

Share this post


Link to post

How can you change the lzo of a packed client?

 

I mean with my bin the "metin2client_sg_r346699.exe" its working and i can play on my pc and other friend too, but other 3 friends cant play with the same cliente and same bin.

Share this post


Link to post

Check that it's not being deleted by antivirus software

Share this post


Link to post

Check that it's not being deleted by antivirus software

 

One of then alrdy format the pc and install, drivers + Skype + cliente and still having problem. and the others alrdy disable the antivírus.

Share this post


Link to post

WoM is using this dll so I don't know what could be the problem.

Share this post


Link to post

WoM is using this dll so I don't know what could be the problem.

 

I will make a new client without change LZO and send then to test. Thx for the help Shogun.

 

 

 

~~~EDIT~~~

 

 

Alrdy made the new client and when i try add the eix inside the bin, enigma just give me a error bcuz this file is alrdy compressed. What u advise me to do to use this granny dll?

 

 

95% of the persons who try use the client work normal but i cant leave this 5%.

Share this post


Link to post

Works properly without any errors, I can just recommend to use this.

Share this post


Link to post

is there any easy way to convert gr2 2.8 to 2.6?

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

Terms of Use / Privacy Policy / Guidelines / We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.